{% extends "base.html" %}

{% block title %}
    {{ task_object.name }}
{% endblock title %}
{% block content %}
    <main>
        <div class="project-detail">
            <h1>{{ task_object.name }}</h1>
            <p>{{ task_object.notes }}</p>
            {% comment %} {% if project_object.tasks.all|length > 0 %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in project_object.tasks.all %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.assignee }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td>{{ task.is_complete|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %} {% endcomment %}
        </div>
    </main>
{% endblock content %}
